Invite people to a case

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /case/access/{orgId}/case/{caseId}/invite

Invites one or more people to the case by email. Each invitee receives an email with a link to accept.

Path parameters

  • orgId string Required

    Id of the organization

  • caseId string Required

    Id of the case

application/json

Body Required

Invitation request body

  • users array[object] Required
    Hide users attributes Show users attributes object
    • email string Required
    • name string

      Minimum length is 1, maximum length is 200.

    • accessLevel string Required

      Values are owner, admin, commenter, or viewer. Default value is viewer.

    • sendInstructions boolean

      Default value is false.

    • accessType string

      Values are org or opposing_council. Default value is org.

    • orgName string

      Maximum length is 200.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /case/access/{orgId}/case/{caseId}/invite
curl \
 --request POST 'http://api.example.com/case/access/{orgId}/case/{caseId}/invite' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "users": [
    {
      "email": "string",
      "name": "string",
      "accessLevel": "viewer",
      "sendInstructions": false,
      "accessType": "org",
      "orgName": "string"
    }
  ]
}'
Request examples
{
  "users": [
    {
      "email": "string",
      "name": "string",
      "accessLevel": "viewer",
      "sendInstructions": false,
      "accessType": "org",
      "orgName": "string"
    }
  ]
}
Response examples (201)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}